{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-api-reference/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["admonition"]},"type":"markdown"},"seo":{"title":"Webhooks","siteUrl":"https://docs.solarisgroup.com/","description":"Official technical reference for Solaris Embedded Finance APIs (Banking, Lending, KYC).","keywords":"Banking-as-a-Service, BaaS, Embedded Finance, Solaris, solarisbank, solarisgroup, solaris group, fintech, api reference docs, developer portal","lang":"en-US","llmstxt":{"hide":false,"title":"Solaris Developer Hub","description":"Comprehensive documentation for Solaris Embedded Finance APIs.","sections":[{"title":"Guides and release notes","includeFiles":["guides/**/*.md","release-notes/**/*.md","help/**/*.md"],"excludeFiles":[]},{"title":"API reference","includeFiles":["api-reference/**/*.yaml","api-reference/**/*.md"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"webhooks","__idx":0},"children":["Webhooks"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Webhooks allow your application to receive real-time notifications when specific events occur in the Solaris platform."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"overview","__idx":1},"children":["Overview"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Mechanism:"]}," Solaris sends a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," request to your exposed HTTPS URL."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Security:"]}," Payloads are signed with HMAC SHA-256 for verification."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Reliability:"]}," Failed deliveries are retried with exponential backoff for up to 5 days."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"managing-subscriptions","__idx":2},"children":["Managing subscriptions"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To receive notifications, you must create a subscription for ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["each"]}," event type you want to monitor."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"1-create-a-subscription","__idx":3},"children":["1. Create a subscription"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Call the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /v1/webhooks"]}," endpoint with the following payload:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["event_type"]},": The ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#available-webhook-events"},"children":["event name"]}," (e.g., ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BOOKING"]},")."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["url"]},": Your HTTPS endpoint."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Verification Request:"]}," ","Upon creation, Solaris immediately sends a test ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," request to your URL:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Header:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Event-Type: WEBHOOK-SUBSCRIPTION"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Body:"]}," (Empty)"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Your server must respond with ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["200 OK"]},". If successful, the API returns the subscription details, including a ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["secret"]}]},"."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"danger","name":"Important"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Store the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["secret"]}," immediately. It is displayed ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["only once"]}," upon creation and is required to verify the authenticity of incoming messages. If lost, you must delete and recreate the subscription."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"2-update-a-subscription","__idx":4},"children":["2. Update a subscription"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Webhook subscriptions cannot be modified. To change a URL or event type:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Delete"]}," the existing subscription."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create"]}," a new subscription with the updated details."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"handling-notifications","__idx":5},"children":["Handling notifications"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Your webhook endpoint must process notifications efficiently and securely."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"response-codes","__idx":6},"children":["Response codes"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Solaris interprets your HTTP response code to determine the status of the delivery:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Code"},"children":["Code"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Status"},"children":["Status"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Result"},"children":["Result"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["2xx"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Success"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The notification is marked as delivered."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["410"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Gone"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The subscription is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["cancelled"]}," automatically. Use this if you no longer want to receive events at this URL."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["422"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Unprocessable"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The notification is marked as rejected and will ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["not"]}," be retried."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Other"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Failure"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The notification enters the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#retries-and-backoff"},"children":["retry loop"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"timeouts-and-async-processing","__idx":7},"children":["Timeouts and async processing"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Solaris expects a response within ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["30 seconds"]},"."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info","name":"Best Practice"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Acknowledge immediately, process later."]}," ","To avoid timeouts, your server should return ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["200 OK"]}," as soon as it receives and validates the request. Perform complex business logic (e.g., database updates) asynchronously using a background job."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"retries-and-backoff","__idx":8},"children":["Retries and backoff"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If delivery fails (non-200 response or timeout), Solaris retries using an exponential backoff strategy:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Max Attempts:"]}," 25"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Backoff Rate:"]}," 1.561 (Interval increases by ~56% each time)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Total Duration:"]}," Approximately ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["5 days"]}," before the message is discarded."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"webhook-headers","__idx":9},"children":["Webhook headers"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Every notification contains the following HTTP headers. You should use these for routing, identifying resources, and security verification."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Header"},"children":["Header"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The media type of the content (usually ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]},")."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Unique ID of this specific webhook notification. Useful for logging and idempotency checks."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Subscription-Id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The ID of the subscription that triggered this notification."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Event-Type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The type of event (e.g., ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_CHANGED"]},")."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Entity-Id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The ID of the primary resource (e.g., Person ID, Account ID) related to the event."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Attempt"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The current retry attempt number (starts at ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["1"]},")."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Signature"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The HMAC SHA-256 signature of the payload. ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Prefix:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sha256="]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Callout-Timestamp"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["UTC timestamp of when the notification was sent. Useful to prevent replay attacks."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["User-Agent"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Identifies the Solaris service agent sending the request."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"security-and-verification","__idx":10},"children":["Security and verification"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You must verify the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Signature"]}," header to ensure the request originated from Solaris and has not been tampered with."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The signature is generated using ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["HMAC SHA-256"]},". The key is the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["secret"]}," you received when creating the subscription."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"verification-steps","__idx":11},"children":["Verification steps"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Extract the signature from the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Solaris-Webhook-Signature"]}," header. Note that the value is prefixed with the algorithm (e.g., ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sha256=..."]},")."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Read the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["raw request body"]}," (do not parse it as JSON yet)."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Calculate the HMAC SHA-256 hash of the raw body using your stored ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["secret"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Compare your calculated hash with the signature from the header."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"ruby-example","__idx":12},"children":["Ruby example"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"ruby","data-title":"verify_signature.rb","header":{"title":"verify_signature.rb","controls":{"copy":{}}},"source":"signature_header = request.env['HTTP_SOLARIS_WEBHOOK_SIGNATURE']\nalgorithm, received_signature = signature_header.split('=') # splits \"sha256=...\"\ncontent = request.body.read\n\n# Calculate expected signature\ncalculated_signature = OpenSSL::HMAC.hexdigest(\n  OpenSSL::Digest.new(algorithm), \n  your_stored_secret, \n  content\n)\n\n# Compare signatures (secure comparison is recommended)\nif calculated_signature != received_signature\n  halt 422, 'Invalid Signature'\nend\n\n# Proceed to process the webhook\n","lang":"ruby"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"mandatory-compliance-webhooks","__idx":13},"children":["Mandatory compliance webhooks"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You are ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["required"]}," to subscribe to these events to remain compliant with banking regulations (e.g., account closures, seizures)."]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["View mandatory webhooks list"]}]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/account_closure_request/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACCOUNT_CLOSURE_REQUEST"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_deleted/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_DELETED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_seizure_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_SEIZURE_CREATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_seizure_deleted/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_SEIZURE_DELETED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_seizure_fulfilled/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_SEIZURE_FULFILLED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_seizure_updated/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_SEIZURE_UPDATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_deleted/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_DELETED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_seizure_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_SEIZURE_CREATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_seizure_deleted/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_SEIZURE_DELETED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_seizure_fulfilled/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_SEIZURE_FULFILLED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_seizure_updated/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_SEIZURE_UPDATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/postbox_item_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POSTBOX_ITEM_CREATED"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"available-webhook-events","__idx":14},"children":["Available webhook events"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Click the links below to view the full payload information for each webhook event."]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["View all webhook events"]}]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/account_block/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACCOUNT_BLOCK"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/account_closure/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACCOUNT_CLOSURE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/account_limit_change/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACCOUNT_LIMIT_CHANGE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/account_opening_request/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACCOUNT_OPENING_REQUEST"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/account_snapshot/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACCOUNT_SNAPSHOT"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/acquirer_topup_declined/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACQUIRER_TOPUP_DECLINED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/acquirer_topup_executed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACQUIRER_TOPUP_EXECUTED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/acquirer_topup_payment_failed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACQUIRER_TOPUP_PAYMENT_FAILED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/activation_challenge_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACTIVATION_CHALLENGE_CREATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/beneficial_owner/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BENEFICIAL_OWNER"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/booking/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BOOKING"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_fronting_application/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_FRONTING_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_fronting_loan_payout/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_FRONTING_LOAN_PAYOUT"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_fronting_payout_update/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_FRONTING_PAYOUT_UPDATE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_fronting_relationship_status_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_FRONTING_RELATIONSHIP_STATUS_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_identification/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_IDENTIFICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/business_tax_identification_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BUSINESS_TAX_IDENTIFICATION_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_authorization/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_AUTHORIZATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_authorization_decline_v2/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_AUTHORIZATION_DECLINE_V2"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_authorization_resolved/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_AUTHORIZATION_RESOLUTION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_delivery_tracking/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_DELIVERY_TRACKING"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_fraud_case_pending/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_FRAUD_CASE_PENDING"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_fraud_case_timeout/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_FRAUD_CASE_TIMEOUT"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_lifecycle_event/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_LIFECYCLE_EVENT"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/card_token_lifecycle/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CARD_TOKEN_LIFECYCLE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/cash_operation_status_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CASH_OPERATION_STATUS_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/consumer_fronting_application/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CONSUMER_FRONTING_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/consumer_loan_application/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CONSUMER_LOAN_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/consumer_overdraft/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CONSUMER_OVERDRAFT"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/consumer_overdraft_application/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CONSUMER_OVERDRAFT_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/consumer_overdraft_interest_rate_change/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CONSUMER_OVERDRAFT_INTEREST_RATE_CHANGE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/credit_card_application/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CREDIT_CARD_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/credit_line/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CREDIT_LINE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/dispute_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DISPUTE_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/delegate_sca_cancel/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELEGATE_SCA_CANCEL"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/freelancer_credit_line/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["FREELANCER_CREDIT_LINE_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/freelancer_overdraft_interest_rate_change/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["FREELANCER_OVERDRAFT_INTEREST_RATE_CHANGE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/identification/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["IDENTIFICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/identification_origination/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["IDENTIFICATION_ORIGINATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/identification_session/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["IDENTIFICATION_SESSION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/incoming_rejected_transaction/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["INCOMING_REJECTED_TRANSACTION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/instant_sepa_credit_transfer_executed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["INSTANT_SEPA_CREDIT_TRANSFER_EXECUTED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/instant_sepa_credit_transfer_failed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["INSTANT_SEPA_CREDIT_TRANSFER_FAILED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/legal_representative/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["LEGAL_REPRESENTATIVE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/loan/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["LOAN"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/overdraft/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["OVERDRAFT"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/overdraft_application/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["OVERDRAFT_APPLICATION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/overdraft_limit_change/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["OVERDRAFT_LIMIT_CHANGE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_mobile_number_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_MOBILE_NUMBER_CREATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_mobile_number_deleted/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_MOBILE_NUMBER_DELETED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/person_tax_identification_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERSON_TAX_IDENTIFICATION_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/potential_account_blocking/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POTENTIAL_ACCOUNT_BLOCKING"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/questions_require_response/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["QUESTIONS_REQUIRE_RESPONSE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/reference_account_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["REFERENCE_ACCOUNT_CREATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/reference_account_instant_payout_declined/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["REFERENCE_ACCOUNT_INSTANT_PAYOUT_DECLINED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/reference_account_instant_payout_executed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["REFERENCE_ACCOUNT_INSTANT_PAYOUT_EXECUTED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/reservation_created/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["RESERVATION_CREATED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/reservation_resolved/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["RESERVATION_RESOLVED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/sca_challenge/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SCA_CHALLENGE"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/sepa_credit_transaction_declined/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SEPA_CREDIT_TRANSACTION_DECLINED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/sepa_direct_debit_return/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SEPA_DIRECT_DEBIT_RETURN"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/sepa_scheduled_transaction/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SEPA_SCHEDULED_TRANSACTION"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/sepa_standing_order/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SEPA_STANDING_ORDER"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/sepa_timed_order/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SEPA_TIMED_ORDER"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/trusted_iban_confirmed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["TRUSTED_IBAN_CONFIRMED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/scheduled_transfer_status_changed/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SCHEDULED_TRANSFER_STATUS_CHANGED"]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/onboarding/webhooks/webhook-events/paths/scheduled_transfer_updated/post"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SCHEDULED_TRANSFER_UPDATED"]}]}]}]}]}]},"headings":[{"value":"Webhooks","id":"webhooks","depth":1},{"value":"Overview","id":"overview","depth":2},{"value":"Managing subscriptions","id":"managing-subscriptions","depth":2},{"value":"1. Create a subscription","id":"1-create-a-subscription","depth":3},{"value":"2. Update a subscription","id":"2-update-a-subscription","depth":3},{"value":"Handling notifications","id":"handling-notifications","depth":2},{"value":"Response codes","id":"response-codes","depth":3},{"value":"Timeouts and async processing","id":"timeouts-and-async-processing","depth":3},{"value":"Retries and backoff","id":"retries-and-backoff","depth":3},{"value":"Webhook headers","id":"webhook-headers","depth":2},{"value":"Security and verification","id":"security-and-verification","depth":2},{"value":"Verification steps","id":"verification-steps","depth":3},{"value":"Ruby example","id":"ruby-example","depth":3},{"value":"Mandatory compliance webhooks","id":"mandatory-compliance-webhooks","depth":2},{"value":"Available webhook events","id":"available-webhook-events","depth":2}],"frontmatter":{"seo":{"title":"Webhooks"}},"lastModified":"2026-10-16T09:43:13.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/api-reference/webhooks","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}